Airplay SDK > Deploying To Devices >

Deploying To Devices

This section describes how to deploy an Airplay application to devices. Airplay supports deploying a single application to multiple handsets running a wide range of operating system/user interface combinations, referred to as platforms.

The environment for generating device-specific distributions of Airplay applications is entirely separate from the development environment. The development environment outputs a single application binary, which the deployment system combines automatically with the Airplay System runtime layer for the desired platforms. The user can optionally select from multiple application data sets; by default a platform-agnostic data set is used.

Deployment is supported through the Airplay System Deployment Tool, a GUI tool through which various options can be specified to tweak the application on a per-platform or per-configuration basis. These deployment options can also be specified in the application's MKB file.

  • Platform-Specific Deployment Guides
  • Airplay System Deployment Tool
  • iPhone Resigning Tool
  • Troubleshooting

If you would like to deploy to device you must first build your project. To learn how to build a project, see Creating an Application.

(c) 2009 Ideaworks Labs. All rights reserved.


Deploying To Devices: Platform-Specific Deployment Guides

Deploying To Devices > Platform-Specific Deployment Guides >

Platform-Specific Deployment Guides

The following sections outline platform-specific deployment guides:

  • iPhone Deployment Guide
  • Android Deployment Guide
  • BREW Deployment Guide
  • N-Gage Deployment Guide
  • Symbian Deployment Guide
  • Windows Mobile Deployment Guide


Deploying To Devices: iPhone Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > iPhone Deployment Guide >

iPhone Deployment Guide

Requirements

The following are required in order to deploy to iPhone:

  • The latest version of iTunes installed on the development machine.
  • Access to an Apple Mac in order to perform application signing.
  • An iPhone Developer Program account and valid certificate for signing applications.
  • An iPhone/iPod Touch device set up with a provisioning profile to accept development applications.

iTunes is available to download from http://www.apple.com/itunes/

For information on the iPhone Developer Program and application signing, see http://developer.apple.com/iphone/program/

Setting-up an Apple Mac Device as the Signing Server

To be able to run Airplay applications on iPhone, you need to setup a signing server on a Mac. See Setting up an iPhone Signing Server

Running Airplay applications on iPhones for development

Once a signing server has been setup, you don't need to set any other options to install and run Airplay applications on your iPhone. The deployment tool with default options set will produce a .ipa application file that can be installed and run.

Devices and OS Versions Supported

Airplay supports deployment to all iPhone and iTouch device variants (referred to generically in this documentation as "iPhones"), running OS versions 2.0 and newer. Airplay outputs a single binary file that will work both on devices running OS versions older than 3.0 and on devices running 3.0 and above. Note that new features that were introduced with the version 3 OS will not function on devices running the older pre-3.0 versions. These features are provided through iPhone Extension APIs. It is possible to check whether the device running the application supports these features at runtime. If an application is intended to support both 2.x and 3.x OS variants, it should perform these checks and modify its behaviour to use only the available functionality.

Re-signing applications for distribution to the App Store

In order to submit your application to the App Store, you must sign your application with a Distribution Certificate, and have the signing server include your provisioning profile in the application bundle. To see how to obtain Distribution Certificate, log on to the iPhone Developer Program portal and go to http://developer.apple.com/iphone/manage/distribution/index.action. This certificate should be installed on the Mac signing server. You should save the associated provisioning profile on the development PC.

You must then sign your app specifying the certificate name of the Distribution Certificate. This is normally 'iPhone Distribution'. This should be specified in the 'Signing Identity' field during deployment/resigning.

You must also specify the distribution provisioning profile for inclusion in the application bundle when signing for distribution. This can be accomplished by specifying the relevant .mobileprovision file in the 'Provision File' field during deployment/resigning.

Although it's possible to sign your application with a Distribution Certificate during initial deployment, its easier to deploy the application initially using a developer certificate, test it, and then re-sign it for distribution using the iPhone Resigning Tool


Deploying To Devices: Setting up a Mac Signing Server

Deploying To Devices > Platform-Specific Deployment Guides > iPhone Deployment Guide > Setting up a Mac Signing Server >

Setting up a Mac Signing Server

Due to the design of the Apple iPhone signing process, Airplay does not currently support deployment to iPhone without access to a Mac computer on which to run the signing process. This may be addressed in a future Airplay release. Deploying from a PC can be accomplished by performing application signing via a networked Mac computer, called the 'Signing Server', specified by hostname.

Prepare an Apple Mac for iPhone development :

  • Become a Registered iPhone Developer on Apple's iPhone Developer Program Portal by going to http://developer.apple.com/iphone/program/start/register/
  • Download and install the latest iPhone SDK onto an Apple MAC. Ensure that your MacOS and iTunes versions meet the requirements for the SDK.
  • Join the iPhone Developer Program at http://developer.apple.com/iphone/program/start/enroll/, where you will need pay a $99 fee.
  • Generate a Development Certificate and Provisioning Profile by using the 'How To' guide in the Developer Program Portal (go to here once logged into the Program Portal). When creating an App ID (part of the required process), its easist to create an App ID of the form ##########.* which can be used for all your applications.
  • Install the signing certificate and provisioning profile on the Mac.
  • Provision your iPhone/iPod Touch using the XCode Organiser with your provisioning profile.
  • Confirm that your iPhone development environment is functioning correctly by loading XCode, creating a new iPhone project (of any kind), building it and installing it on your iPhone or iPod touch.

Install and run the Airplay signing server on the Mac :

  • Copy the signing server script 'signing_server.py' to any location on the Mac. This can be found in your Airplay SDK installation under [installation dir]/s3e/deploy/iphone/signing_server.py
  • Open an XTerm terminal and run the script, by entering cd [directory containing signing_server.py] followed by ./signing_server.py.
  • Leave the script running on this Mac computer. It can now respond to incoming requests from multiple machines performing application deployment using the Airplay System Deployment Tool.

Deploy your Airplay applications using the Mac as a signing server :

  • When using the deployment tool, specify the hostname of the Mac running the signing script in the 'OS 'iPhone' Specific Options'.
  • The certificate name used for signing is 'iPhone Developer' by default, which will chose any iPhone Developer certificate on the signing server. You will not normally need to change this for normal development.
  • To use a specific certificate, specify the name of the certificate in the 'Signing Identity' field under 'OS 'iPhone' Specific Options' in the deployment tool
  • To avoid having to set the signing server for every deployment, you can set the environment variable S3E_IPHONE_SIGN_HOST to the hostname of your Mac. This will be used as the default signing server.

For more information on specifying the signing server and certificate name, see iPhone Deploying Settings. For other iPhone related deployment options, see MKB Deployment Options and iPhone Configuration Settings.


Deploying To Devices: Android Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > Android Deployment Guide >

Android Deployment Guide

OS Versions Supported

Airplay supports deployment to the following types of Android device:

  • Android 1.5
  • Android 1.6

Deployment Methods

The Airplay System Deployment Tool supports automatic installation to Android devices providing that the relevant software is installed on the development PC. Alternatively the deployed application installer can be copied manually to the device.

Automatic installation

Automatic installation from the Deployment Tool requires:

  • Android SDK installed
  • Android USB drivers installed

To install over USB using the Deployment Tool:

  1. Connect only one device at a time via USB.
  2. On the device, the SD card should be unmounted.
  3. It may be necessary to enable 'Unknown Sources' on the device in Settings -> Applications.
  4. Generate the deployment with the Deployment Tool. During the Deploying stage, the application will be installed to the device.

Manual installation

No additional software is required on your machine if you are deploying using either of the following methods:

  • Place the .apk file generated by the Deployment Tool onto a memory card, place the memory card in the device and then install the .apk file using Android's Apps Installer application.
  • Use the device itself as a mass storage device, copy the .apk file to the device and then install it using Android's Apps Installer application.


Deploying To Devices: BREW Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > BREW Deployment Guide >

BREW Deployment Guide

The following items are required when deploying to BREW device:

  • The device must support BREW v3 or higher.
  • The BREW Tools Suite 3.0 (Apploader).
  • Perl 5.6 (for Apploader scripting).
  • Device connected via USB or Bluetooth.
  • Only one device can be connected at a time.
  • Drivers for each device must be installed before connecting.
  • App Loader must be installed from the BREW Tools Suite.


Deploying To Devices: N-Gage Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > N-Gage Deployment Guide >

N-Gage Deployment Guide

The following are required in order to deploy to an N-Gage compatible device:

  • N-Gage SDK 1.2.x or 2.x installed on the development machine.
  • A matching N-Gage Play App installed on device (requires a developer certificate from Nokia).
  • A developer certificate-key pair for signing the application.

Note that the N-Gage SDK is not publicly available and must be obtained from Nokia.

Devices and OS Versions Supported

Airplay supports deployment to all Symbian 9 devices which officially support the N-Gage application. Both N-Gage versions 1.x and 2.x are supported. When deploying, the version of N-Gage should be selected that matches the version running on the device. This is done by choosing either N-Gage or N-Gage v2 for the OS Selection option in the Deployment Tool or by specifying the os as ngi or ngi2 under the deployment section of the application's MKB File. Applications built for version 1 can be installed and run on devices running N-Gage 2 but not vice-versa. Version 1 is however only supported for legacy reasons and new applications should use N-Gage 2. All N-Gage deployment options are supported for both versions.

Application Signing

N-Gage applications require signing in order to be able to install them on a device. To specify the certificate and key files for signing the application, use the ngi-cert and ngi-key MKB Deployment Options or the relevant Configuration Settings in the Deployment Tool GUI.


Deploying To Devices: Symbian Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > Symbian Deployment Guide >

Symbian Deployment Guide

Devices and OS Versions Supported

Airplay supports deployment to the following types of Symbian device:

  • Symbian 7.x OS
  • Symbian 8.x OS
  • Symbian 9.x OS running the S60 interface
  • Symbian 9.x OS running the UIQ3 interface

Deployment Methods

No additional software is required on your machine if you are deploying using any of the following methods:

  • Place the SIS file on a memory card and then place the memory card in the phone. This method requires no additional software.
  • Use the phone itself as a mass storage device. This method requires no additional software.
  • Use Bluetooth to send the SIS file to the phone. This method requires no additional software.

Installing via PC Suite requires:

  • Windows operating system.
  • Nokia PC Suite installed - Available from the Nokia website.

Optionally, Symbian 9 S60 applications can be signed with a pair of certificate-key files, obtained from Symbian Signed. Use the symbian-cert and symbian-key MKB Deployment Options or the relevant Configuration Settings in the Deployment Tool GUI.


Deploying To Devices: Windows Mobile Deployment Guide

Deploying To Devices > Platform-Specific Deployment Guides > Windows Mobile Deployment Guide >

Windows Mobile Deployment Guide

The following items are required when deploying to Windows Mobile:

  • The device must support Windows Mobile version 5.0 or higher.
  • ActiveSync(R) 4.2.0 installed.
  • Device connected via USB or Bluetooth.
  • Only one device can be connected at a time.


Deploying To Devices: Airplay System Deployment Tool

Deploying To Devices > Airplay System Deployment Tool >

Airplay System Deployment Tool

This section describes the Airplay System Deployment Tool and how it is used to deploy an application to device. For brevity, the term 'Deployment Tool' is used throughout this documentation to refer to the Airplay System Deployment Tool.

When you build a project, the development environment outputs a single application binary and a variety of compressed application data archives. The Deployment Tool is used to configure and combine these elements to create a single device-specific (or device-class-specific) SKU.

When opened, the Deployment Tool reads in all deployment settings contained in the build MKB. Just like the MKB, the Deployment Tool allows you to create and maintain multiple deployment configurations. The ability to create and save multiple deployment configurations in your MKB is of great advantage if you anticipate executing any deployment more than once, as your various configurations are saved and ready the next time you wish to deploy. Each MKB deployment configuration is loaded, visible and open for edit when the Deployment Tool is launched.

The Deployment Tool allows you to select any and all of the deployment configuration sets and deploy direct to multiple types of device.

As well as viewing and selecting your predefined configurations from the MKB, the tool allows you to alter any of the settings as well as creating new configurations. Any changes made can be saved back to the MKB if desired, or discarded once deployment is complete.

For information on how to configure deployment settings in MKB files, see MKB Deployment Options

  • Opening the Deployment Tool
  • The Deployment Tool Interface
  • Using the Deployment Tool
  • Deployment Tool Settings


Deploying To Devices: Opening the Deployment Tool

Deploying To Devices > Airplay System Deployment Tool > Opening the Deployment Tool >

Opening the Deployment Tool

The Deployment Tool automatically opens when a project has been built using any ARM Release build configuration. The instructions below assume that some version of the Visual C++ IDE is being used; for other IDEs, it should be clear how to achieve the same result.

Building a Project for Deployment

  • Double click the MKB file in Windows Explorer. The project will open automatically within your IDE.
  • Click 'Build > Set Active Configuration...'This opens the 'Set Active Project Configuration' dialog.
  • Select the build configuration you wish to use.
  • Click OK.
  • Click Build > Build <application>.s3e (or press F7) to build the project.

The previous step is not necessary if the project has already been built.

Launching the Deployment Tool

To launch the Deployment Tool from the IDE, do the following:

  • Click 'Build > Set Active Configuration...' This opens the 'Set Active Project Configuration' dialog.
  • Select 'Win32 ARM GCC Build Release' or 'Win32 ARM RVCT Build Release'. It does not matter if you wish to deploy for these configurations or if the application has been built for them or not; this is purely to inform the IDE that you wish to launch the Deployment Tool. Any build type can subsequently be selected from within the tool itself.
  • Click OK.
  • Click Build > Start Debug > Go (or press F5) to launch the tool.

The Deployment Tool should now be open.

If you are building for ARM Release build, which is common, then launching the tool is simply a case of hitting F5.

See Using the Deployment Tool for a guide on how to get started.


Deploying To Devices: The Deployment Tool Interface

Deploying To Devices > Airplay System Deployment Tool > The Deployment Tool Interface >

The Deployment Tool Interface

The Deployment Tool is designed with a simple wizard-style interface, with the process of deploying to device divided into various stages and sub-stages. However, it also provides a tree-style interface pane for setting and changing options arbitrarily.

The image below shows the basic features of the interface, which is split into three main sections:

  • (1) Control panel: Contains buttons for performing high-level actions such as building all deployments, save/load functionality and skipping to the next main stage.
  • (2) Navigation pane: Lists all deployment stages, indicating the current stage or substage, and allows the user to navigate between them.
  • (3) Edit panel: Provides substage-specific edit controls for setting deployment options.

Using the Edit Panel

This panel sits to the left-hand side, listing all options for the current substage as familiar edit controls. Any settings changed are remembered until the tool is closed or the 'Reload MKB' button is clicked on the panel below; once information is entered into the fields, then it is saved for the current session. Changing any settings which are picked up from the MKB will not be reflected in the file unless 'Save MKB' is clicked.

Using the Navigation Pane

This panel sits to the right-hand side, listing all deployment stages in a tree-like structure, with the current substage highlighted. The configuration options for the current substage will be shown to the left in the Edit Panel. The tool progresses linearly though the stages of configuring the deployment by clicking on the 'Next' button to proceed to the next substage. The options available at each stage will depend on those chosen at previous ones; for example the options that relate only to a specific platform will not be available until that platform has been selected. For this reason, the contents of the tree will change dynamically as different options are selected. Click 'Back' to return to the last substage. Clicking on a stage in the navigation pane to jumps directly to the appropriate set of options.

Using the Control Panel

The control panel at the base of the interface contains buttons for high level control:

  • Save MKB: Save any MKB-related settings back to the file.
  • Reload MKB: Discard any changes and reload settings from the MKB.
  • Prev Stage : Return to the start of the previous stage.
  • Next Stage : Jump to the next stage.
  • Deploy All : Deploy all configurations that are currently fully set-up.
  • Quit: Exit the Deployment Tool.


Deploying To Devices: Using the Deployment Tool

Deploying To Devices > Airplay System Deployment Tool > Using the Deployment Tool >

Using the Deployment Tool

The tool divides the process of deploying to device into three main stages:

  • Build
  • Configuration
  • Deploying

Performing a deployment is done by specifying values for various sets of options. Each option set is presented to the user as a sub-stage of one of the three stages above. The following sections provide an overview of using the tool by describing the interface and each of the stages. They can be used as a basic tutorial by following them through in order.

  • Build Stage
  • Configuration Stage
  • Deploying Stage


Deploying To Devices: Build Stage

Deploying To Devices > Airplay System Deployment Tool > Using the Deployment Tool > Build Stage >

Build Stage

The first step in configuring your application for deployment is selecting one of the available builds. You can pick any of the build types that are present within the build folder, irrespective of the build selected within your IDE when the tool was launched.

The list of available builds will be the same as those available through your IDE. The image below shows an example of build types which may be available:

Only build types for which the source code has been compiled will be available from this menu. Builds which have not been compiled yet will be greyed-out. In order to deploy using a greyed-out build, close the Deployment Tool to return to the IDE and build the project with the relevant type selected. On relaunching to the tool the new build type will now be available.

When you are satisfied with the options set, click the 'Next Stage' button to advance to the Configuration Stage.


Deploying To Devices: Configuration Stage

Deploying To Devices > Airplay System Deployment Tool > Using the Deployment Tool > Configuration Stage >

Configuration Stage

The second step in deploying your application to device is selecting and editing which of the configuration sets will be used. The Deployment Tool reads the application MKB and displays each deployment configuration described within it. You can also create any number of your own configuration sets at this point, either from scratch or by copying and amending existing ones. The screenshots in this section were produced by deploying an application with the following deployments section in its MKB:

  • deployment
  • {
    • ["Example Configuration 1"]
    • name = "Example 1"
    • uid = 0x12345678
    • symbian-uid = 0x12345679
    • iphone-icon = "iphone/icon.png"
    • ["Example Configuration 2"]
    • winmobile
    • name = "Example 2"
  • }

These options will result in the tool loading three configurations: "Example Configuration 1", "Example Configuration 2" and the <default> configuration.

Configuration Selection

The image below shows the Configuration menu after it has read our example configurations from the MKB. Note that since "Example Configuration 1" and "Example Configuration 2" have been selected, they are displayed in the navigation pane to the right and it is now possible to proceed to the subsequent configuration steps for them. The "<Default>" configuration will not be available since it has not been selected. "Example Configuration 2" has had "Windows Mobile" set as the OS/platform since that was specified in the MKB for this configuration (see above).

The following options are available in this screen:

  • Add <config>: Clicking this button adds a new configuration.
  • Copy <config>: Clicking this button copies the selected configuration and opens the 'Name your new <config>' dialog. Enter a new name for the configuration in the dialog and click 'OK' to create the desired copy.
  • Remove <config>: Clicking this button deletes the selected configuration.
  • Output Directory: This field allows you to specify the directory into which the application will be deployed. By default, this will be to "<IDE output dir>/deployments/<configuration>/<platform>/<release or debug>/<build-type>"

The Deployment Tool will allow you to select one or more of the available configurations. When you have selected the desired options click Next' to proceed to OS/platform selection.

Operating System Selection

An example of the OS Selection menu is shown below. In this case the <Default> configuration has been enabled. One of these menus exists for each configuration that was previously selected. Simply select the platforms to which you wish to deploy the application with the current configuration.

For each operating system for each configuration that is selected, a configuration options step and a deploying step are added to the tree (the iPhone and Symbian 9 s60 platforms have been selected in this example).

Click 'Next' to proceed to the generic options for the first OS of the first configuration.

Setting Configuration Options

The Generic Options step allows you to specify/edit MKB deployment options which are platform agnostic.

Click Next to advance through options for each of the platforms that you previously selected for the current configuration.

Below is an example of options for the iPhone platform:

When you are satisfied with the options set, click the 'Next Stage' button to advance to the Deploying Stage.

Descriptions of each option can be displayed as tool tips by holding the mouse over them as shown in the iPhone example above.

You can jump directly to any set of options by clicking on the substage in the navigation panel to the right.

For detailed lists of deployment settings, both generic and for each platform, see Deployment Tool Configuration Settings


Deploying To Devices: Deploying Stage

Deploying To Devices > Airplay System Deployment Tool > Using the Deployment Tool > Deploying Stage >

Deploying Stage

The final step of the process is setting the deployment action for each configured package, along with other action-specific settings and actually performing the deployment. The main Deploying screen is shown below. An action can be set for each configuration/platform pair that has been adequately configured. Notice that in this example no platform has been selected for "Example Configuration 1" yet and therefore no deployment actions are available using this configuration.

Deploy All

The main Deploying screen is shown below. An action can be set for each configuration/platform pair that has been adequately configured. Notice that in this example no platform has been selected for "Example Configuration 1" yet and therefore no deployment actions are available using this configuration.

The following deployment actions are available for each configuration/platform setup:

  • Package: Create a deployment package and place it in the directory specified for the relevant platform.
  • Package and Install: Create the deployment package, place that package in the directory specified for the relevant platform, and install the package on the device.
  • Package, Install and Run: Create the deployment package, place that package in the directory specified for the relevant platform, install the package on the device and run the installed application.
  • Ignore: Do nothing.

Click 'Deploy All' to execute each action in turn or click Next to set up platform specific options for how the deployment will take place.

Deployment to device from the Deployment Summary may be hindered if device-specific or platform-specific settings are not supplied. Note that not all options are available on some platforms.

Setting Configuration/Platform-Specific Actions

Most platforms have extra settings required to specify how the deployment will take place. These are details such the location of the physical device, signing information etc. The image below shows the options for the iPhone platform.

For each platform and configuration, the following options are also displayed here:

  • Select Loader: Specify the type of loader to use (Debug/Release). By default, the loader type will be the same as the build type you have selected for the application.
  • Do Action: The Do Action drop-down menu allows you to set the platform-specific deployment action. The available deployment actions are the same as those listed under Deploy All.
  • Run: This executes the platform-specific deployment action.
  • Progress: This field lists the result of the deployment.
  • Log: Clicking this button will open the log, the log supplies greater detail on the result of the deployment process.
  • Output Written To: This will indicate where the deployment package has been written.
  • Explore: Clicking this button will open the deployment directory in Windows explorer.

When deployment is complete, use the Log button to get a detailed description of what happened. This is useful for debugging if the deployment fails. Likely reasons for this are that the device was not connected as specified or that the tool has found errors in files used for deployment (bad format for icons, broken xml tags in N-Gage metadata, etc.). The Log is intended to provide useful information to help fix these errors but you may need to consult documentation for the specific platform. Halting a deployment due to faulty included files is more efficient than allowing the application to try to be installed/run on the device only for it to then throw an un-descriptive error.

For detailed lists of deploying settings available per platform, see Deployment Tool Deploying Settings


Deploying To Devices: Deployment Tool Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings >

Deployment Tool Settings

Settings for the deployment are divided between those for Configuration and Deploying. The Configuration and Deploying stages contain a number of generic cross-platform settings as well as settings dependant on the build type and operating system/platform onto which the application is to be deployed. The OS/platform is selected as part of the Configuration stage.

Configuration settings each have matching MKB deployment options, while Deploying settings can be passed as command line options if deploying via the command line.

The following sections detail the specific options available for each build type and platform grouped by deployment stage:

  • Configuration Settings
  • Deploying Settings


Deploying To Devices: Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings >

Configuration Settings

Configuration settings each have matching MKB deployment options which can be used to achieve the same result. When launching the Deployment Tool, the settings in the MKB will be used unless new settings are entered in the Deployment Tool fields.

For each configuration selected, a group of generic options can be set plus a group of platform-specific options for each platform selected for that configuration. For an overview of using the interface, see Configuration Stage.

For information on how to configure these settings in the MKB file, see MKB Deployment Options

  • Generic Configuration Settings
  • iPhone Configuration Settings
  • Android Configuration Settings
  • BREW Configuration Settings
  • N-Gage Configuration Settings
  • Symbian 9 s60 Configuration Settings
  • Symbian 9 UIQ3 Configuration Settings
  • Symbian 7 s60 Configuration Settings
  • Symbian 8 s60 Configuration Settings
  • Windows Mobile Configuration Settings
  • Windows Configuration Settings


Deploying To Devices: Generic Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Generic Configuration Settings >

Generic Configuration Settings

Generic Configuration Settings

The following settings are available when deploying to any platform:

  • Select Asset Set: Specifies which asset set to used (defaults to "Default"). "Default" is the default set under which asset files are placed. To create other asset configurations, use the asset build system command.
    MKB deployment setting: assets
  • Deployment Name: Sets the name of the deployment (i.e. the folder name and executable name). The default is to use the MKB target.
    MKB deployment setting: name
  • Embed ICF Files: Specifies whether the ICF files (app.icf, s3e.icf, etc) should be embedded into the executable (.s3e) file. The default is to embed the configuration files for release builds only. If embed-icf is set to 1, configuration files are embedded for both debug and release builds. If embed-icf is set to 0, configuration files are not embedded in either debug or release builds. Embedding .icf files increases the application's security at the expense of reducing the ability to make quick changes to the .icf files.
    MKB deployment setting: embed-icf
  • Public Key File: Specifies that the loader should be locked to the s3e file, via the specified public key. priv-sign-key must also be specified. This sets a public key (OpenSSL 1024-bit public RSA key) to embed in the loader that will verify a signature embedded in the .s3e file. This locks the .s3e file to the loader, as the loader will not load a .s3e file with a signature that it cannot verify. If this option is specified, priv-sign-key must also be specified. These options will force the embedding of .icf files into the .s3e file (equivalent to embed-icf=1). If pub-sign-key and priv-sign-key are not specified, the default is to automatically generate a random key-pair and lock the release build using this key-pair.
    MKB deployment setting: pub-sign-key
  • Private Key File: Specifies the private part of the key specified by pub-sign-key. pub-sign-key must also be specified. This can be the same as the key specified by pub-sign-key if the key is a public/private key-pair. This private key is used to generate a signature that is embedded in the .s3e file, and used to lock the loader to the .s3e file. The default is to automatically generate a private key for release builds only.
    MKB deployment setting: priv-sign-key
  • App ICF File: Specifies an alternative application-specific configuration file (e.g. app.icf) to use for this deployment. The default is to use the file specified in the app-icf build option. If this is not set, the default is app.icf contained in the directory pointed to by the s3e-data-dir build option.
    MKB deployment setting: app-icf
  • Provider String: Sets the provider/author/owner name (e.g. for BREW .inf).
    MKB deployment setting: provider
  • Manufacturer String: Sets the manufacturer name (e.g. for BREW .inf). Defaults to provider.
    MKB deployment setting: manufacturer
  • Copyright: Sets the copyright string to be used during deployment (defaults to "(C) ").
    MKB deployment setting: copyright
  • Version (Major Num): Sets the major version number.
    MKB deployment setting: version-major
  • Version (Minor Num): Sets the minor version number.
    MKB deployment setting: version-minor
  • Version (Revision Num): Sets the revision version number.
    MKB deployment setting: version-revision
  • Version String: Set the version string for platforms where 'version' can be any valid string. Defaults to the stringified version number.
    MKB deployment setting: version-string


Deploying To Devices: iPhone Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > iPhone Configuration Settings >

iPhone Configuration Settings

iPhone Configuration Settings

The following settings are available when deploying to iPhone:

  • iPhone Splash Screen: Sets the iPhone splash screen image (320x480 24-bit png).
    MKB deployment setting: iphone-splash
  • iPhone Icon: Sets the icon for the app deployed on iPhone (57x57 24-bit png).
    MKB deployment setting: iphone-icon
  • App/Bundle ID: Sets the app ID (CFBundleIdentifier) in the Info.plist explicitly (defaults to com..).
    MKB deployment setting: iphone-appid
  • Region: Sets the CFBundleDevelopmentRegion field of the Info.plist (defaults to English).
    MKB deployment setting: iphone-region
  • Signing Identity: Sets the identity to use when signing iPhone applications.
    MKB deployment setting: iphone-signing-identity
  • Signing Hostname: Sets the hostname (with optional port number) of the Mac on which the signing server is running.
    MKB deployment setting: iphone-signing-host
  • Sign For Distribution: Tells the signing server to use an entitlements file suitable for AppStore distribution.
    MKB deployment setting: iphone-sign-for-distribution
  • Provisioning-Profile: Sets the provisioning profile to use when signing iphone applications.
    MKB deployment setting: iphone-provisioning-profile
  • iTunes Artwork: Sets the iTunes icon for the deployed app (512x512 24-bit png).
    MKB deployment setting: itunes-artwork
  • Prerendered Icon: Declare that the iPhone icon is pre-rendered and should not have the "shine" effect added on device.
    MKB deployment setting: iphone-prerendered-icon
  • Info.plist: Sets an external Info.plist file to use. This makes most other iphone deployment options invalid.
    MKB deployment setting: iphone-info-plist


Deploying To Devices: Android Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Android Configuration Settings >

Android Configuration Settings

There are currently no extra configuration options required for Android.

The Deployment Tool will not display a configuration page for Android when this platform is selected.

Simply set any Generic Configuration Settings wanted and proceed directly to the Android Deploying Settings.


Deploying To Devices: BREW Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > BREW Configuration Settings >

BREW Configuration Settings

BREW Configuration Settings

The following settings are available when deploying to BREW devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • MIF File: Specifies a BREW .mif file to use. BREW .mif files contain application metadata including icon bitmaps, application name and type, and licensing information. Airplay System does not provide utilities to automatically create .mif files, .mif files must be created by using the BREW Mif Editor available in the BREW SDK Tools, available from Qualcomm. This option will override any mif-related settings specified by the other brew-* deployment options.
    MKB deployment setting: brew-mif
  • BREW Compress Loader: Enables LZMA compression on the BREW loader. ARM builds only.
    MKB deployment setting: brew-compress-loader


Deploying To Devices: N-Gage Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > N-Gage Configuration Settings >

N-Gage Configuration Settings

N-Gage Configuration Settings

The following settings are available when deploying to N-Gage devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • Use GCCE Loader: Deploy the N-Gage loader that was built with GCCE (use this if you don't have RVCT2.2 installed on your system)
    MKB deployment setting: ngi-gcce-loader
  • Game Info XML File: Sets the gameinfo xml file for N-Gage deployment.
    MKB deployment setting: ngi-gameinfo
  • Metadata XML File: Sets the metadata xml file for N-Gage deployment.
    MKB deployment setting: ngi-metadata
  • Achievements XML File: Sets the achievements xml file for N-Gage deployment.
    MKB deployment setting: ngi-achievements
  • Build as Game Extras Upgrade: Sets whether the game should be built as a game extra upgrade. False by default.
    MKB deployment setting: ngi-game-extras
  • Install From .sisx (update existing installation only): Sets that only the .sis file, not.n-gage, should be deployed. Use for updating existing installations only.
    MKB deployment setting: ngi-install-sisx-only
  • Do Not Install Assets: Sets the N-Gage deployment not to deploy game assets.
    MKB deployment setting: ngi-no-assets
  • Small Icon 1 (56x56): Sets the 1st small icon for identifying the application in the N-Gage Play App (56x56 24-bit png).
    MKB deployment setting: ngi-icon1
  • Small Icon 2 (56x56): Sets the 2nd small icon for identifying the application in the N-Gage Play App (56x56 24-bit png).
    MKB deployment setting: ngi-icon2
  • Main Icon (212x56): Sets the main icon for launching the application in the N-Gage Play App (212x56 24-bit png).
    MKB deployment setting: ngi-icon3
  • Large Icon (240x56): Sets the large icon for use in notifications (installation, errors, etc.) in the N-Gage Play App (240x56 24-bit png).
    MKB deployment setting: ngi-icon4
  • Arena Configuration XML File: Sets the arena configuration file (e.g., config.xml) for N-Gage deployment.
    MKB deployment setting: ngi-arena-config
  • Game Resource File (*.rsc): Sets the compiled arena game resource file (e.g. game.rsc) for N-Gage deployment. Incompatible with ngi-arena-rss.
    MKB deployment setting: ngi-arena-rsc
  • Game Resource Settings File (*.rss): Sets the arena game resource settings file (e.g. game.rss) for N-Gage deployment. Incompatible with ngi-arena-rsc. This will be compiled into game.rsc.
    MKB deployment setting: ngi-arena-rss
  • Arena Locales List: Localises N-Gage Arena resources by deploying a resource file for each language. Provided as a string of Symbian language identifiers.
    MKB deployment setting: ngi-arena-locales
  • Alternative Landscape Start-up Splash Screen: Sets an alternative file to use for "n-gage" splash screen when starting in landscape.
    MKB deployment setting: ngi-splashscreen-land
  • Alternative Portrait Start-up Splash Screen: Sets an alternative file to use for "n-gage" splash screen when starting in portrait.
    MKB deployment setting: ngi-splashscreen-port
  • Game Specific FileManager Static Library: Sets a game-specific filemanager dll to use (from your game's GSDP).
    MKB deployment setting: ngi-filemanager-dll
  • Game Specific FileManager DLL: Sets a game-specific filemanager lib to link in (from your game's GSDP).
    MKB deployment setting: ngi-filemanager-lib
  • Producer Splash Screen: Sets optional localised producer splashscreen (e.g. copyrights). This will include any files found of the format __.jpg. Orientations: "port", "land". Languages: "en", "fr", "de", "es", "ti", "zn_cn", "zn_tw" - defaults to English. e.g. if the value is "splash/nokia" it will search for "splash/nokia_en_port.jpg" etc.
    MKB deployment setting: ngi-splash-producer
  • SIS File Signing Certificate: Sets a certificate that is used to digitally sign the application and metadata sis files.
    MKB deployment setting: ngi-cert
  • SIS File Signing Key: Sets a key that is used to digitally sign the application and metadata sis files.
    MKB deployment setting: ngi-key


Deploying To Devices: Symbian 9 s60 Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Symbian 9 s60 Configuration Settings >

Symbian 9 s60 Configuration Settings

Symbian 9 s60 Configuration Settings

The following settings are available when deploying to Symbian 9 S60 devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • Long Displayed name: Sets the longer version of the displayed application name. Used when Symbian displays the application's icon in list view.
    MKB deployment setting: long-caption
  • Enable Networking: Enable networking capabilities on platforms that support capabilities. Default is 1 (enabled).
    MKB deployment setting: networking
  • Icon 1 File: Sets the 44x44x24 bitmap icon to use. This file path should be an MKB-relative path to a 44x44x24bpp bitmap file (.bmp). This will be used as the application's larger icon in the Symbian UI. When specifying this, symbian-icon1-mask, symbian-icon2, symbian-icon2-mask should also be specified.
    MKB deployment setting: symbian-icon1
  • Icon 1 Mask File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). This file path should be an MKB-relative path to a 44x44x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon1-mask
  • Icon 1 File Format: Sets the colour format to which symbian-icon1 will be converted (eg '/c24,8'). Symbian 9/UIQ only. This is of the format /C,M where C is one of 1, 2, 4, 8, c4, c8, c12, c16, c24, c32 and M is 1 or 8. C specifies the stored icon colour format (1-8 for palettised 1-8 bit, c4-c32 for non-palettised 4-32bit). M specifies mask colour depth, 1 for 1-bit mask, 8 for 8 bit mask (which enables partial icon transparency). The default is /c24, 8.
    MKB deployment setting: symbian-icon1-format
  • Icon 2 File: Sets the application's smaller, 42x29x24 bitmap icon. This file path should be an MKB-relative path to a 44x29x24bpp bitmap file (.bmp).
    MKB deployment setting: symbian-icon2
  • Icon 2 Mask File: Sets the 44x29x24 bitmap that acts as a mask for the bitmap specified for Icon 2 (symbian-icon2). This file path should be an MKB-relative path to a 44x29x24bpp bitmap file. This acts as a mask for the bitmap specified by symbian-icon2. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon2-mask
  • Icon 2 File Format: Sets the colour format to which symbian-icon2 will be converted. Symbian 9/UIQ only. This is of the format /C,M where C is one of 1, 2, 4, 8, c4, c8, c12, c16, c24, c32 and M is 1 or 8. C specifies the stored icon colour format (1-8 for palettised 1-8 bit, c4-c32 for non-palettised 4-32bit). M specifies mask colour depth, 1 for 1-bit mask, 8 for 8 bit mask (which enables partial icon transparency). The default is /c24, 8.
    MKB deployment setting: symbian-icon2-format
  • SVG Icon: Sets the .svg icon to use for deployment to Symbian 9 only. This file path should be an MKB-relative path to a .svg icon to use for UI display. This can be used instead of symbian-icon1, symbian-icon1-mask, etc.
    MKB deployment setting: symbian-icon-svg
  • Certificate File (SIS file signing): Sets a certificate that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-cert
  • Certificate Key File (SIS file signing): Sets a key that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-key
  • Password for Certificate Key File (SIS file signing): Sets the password for the key that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-keypwd
  • Platsec flags (sis file signing): Sets the Platsec permission flags to sign sis files with, separate with +.
    MKB deployment setting: symbian-platsecflags
  • Use app UID for package UID: This option allows you to specify that the sis package UID for Symbian/UIQ deployment is the same as the application's UID. Disabled by default.
    MKB deployment setting: pkguid-as-uid
  • Install Accelerometer Support: Include support for the acceleromter.
    MKB deployment setting: symbian-sensorssupport
  • Install Location Support: Include support for the device's location module. e.g. GPS.
    MKB deployment setting: symbian-locationsupport


Deploying To Devices: Symbian 9 UIQ3 Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Symbian 9 UIQ3 Configuration Settings >

Symbian 9 UIQ3 Configuration Settings

Symbian 9 UIQ3 Configuration Settings

The following settings are available when deploying to Symbian 9 UIQ3 devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • Long Displayed name: Sets the longer version of the displayed application name. Used when Symbian displays the application's icon in list view.
    MKB deployment setting: long-caption
  • Enable Networking: Enable networking capabilities on platforms that support capabilities. Default is 1 (enabled).
    MKB deployment setting: networking
  • SVG Icon: Sets the .svg icon to use for deployment to Symbian 9 only. This file path should be an MKB-relative path to a .svg icon to use for UI display. This can be used instead of symbian-icon1, symbian-icon1-mask, etc.
    MKB deployment setting: symbian-icon-svg
  • Certificate File (SIS file signing): Sets a certificate that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-cert
  • Certificate Key File (SIS file signing): Sets a key that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-key
  • Password for Certificate Key File (SIS file signing): Sets the password for the key that is used to digitally sign the application sis file.
    MKB deployment setting: symbian-keypwd
  • Platsec flags (sis file signing): Sets the Platsec permission flags to sign sis files with, separate with +.
    MKB deployment setting: symbian-platsecflags
  • Use app UID for package UID: This option allows you to specify that the sis package UID for Symbian/UIQ deployment is the same as the application's UID. Disabled by default.
    MKB deployment setting: pkguid-as-uid
  • Icon 1 File: Sets the 18x18x24 bitmap icon to use. This file path should be an MKB-relative path to a 18x18x24bpp bitmap file (.bmp).
    MKB deployment setting: uiq3-icon1
  • Icon 1 Mask File: Sets the 18x18x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (uiq3-icon1). This file path should be an MKB-relative path to a 18x18x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: uiq3-icon1-mask
  • Icon 1 File Format: Sets the colour format to which uiq3-icon1 will be converted (eg '/c24,8'). This is of the format /C,M where C is one of 1, 2, 4, 8, c4, c8, c12, c16, c24, c32 and M is 1 or 8. C specifies the stored icon colour format (1-8 for palettised 1-8 bit, c4-c32 for non-palettised 4-32bit). M specifies mask colour depth, 1 for 1-bit mask, 8 for 8 bit mask (which enables partial icon transparency). The default is /c24, 8.
    MKB deployment setting: uiq3-icon1-format
  • Icon 2 File: Sets the 40x40x24 bitmap icon to use. This file path should be an MKB-relative path to a 40x40x24bpp bitmap file (.bmp).
    MKB deployment setting: uiq3-icon2
  • Icon 2 Mask File: Sets the 40x40x24 bitmap that acts as a mask for the bitmap specified for Icon 2 (uiq3-icon2). This file path should be an MKB-relative path to a 40x40x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: uiq3-icon2-mask
  • Icon 2 File Format: Sets the colour format to which uiq3-icon2 will be converted (eg '/c24,8'). This is of the format /C,M where C is one of 1, 2, 4, 8, c4, c8, c12, c16, c24, c32 and M is 1 or 8. C specifies the stored icon colour format (1-8 for palettised 1-8 bit, c4-c32 for non-palettised 4-32bit). M specifies mask colour depth, 1 for 1-bit mask, 8 for 8 bit mask (which enables partial icon transparency). The default is /c24, 8.
    MKB deployment setting: uiq3-icon2-format
  • Icon 3 File: Sets the 64x64x24 bitmap icon to use. This file path should be an MKB-relative path to a 64x64x24bpp bitmap file (.bmp).
    MKB deployment setting: uiq3-icon3
  • Icon 3 Mask File: Sets the 64x64x24 bitmap that acts as a mask for the bitmap specified for Icon 2 (uiq3-icon3). This file path should be an MKB-relative path to a 64x64x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: uiq3-icon3-mask
  • Icon 3 File Format: Sets the colour format to which uiq3-icon3 will be converted (eg '/c24,8'). This is of the format /C,M where C is one of 1, 2, 4, 8, c4, c8, c12, c16, c24, c32 and M is 1 or 8. C specifies the stored icon colour format (1-8 for palettised 1-8 bit, c4-c32 for non-palettised 4-32bit). M specifies mask colour depth, 1 for 1-bit mask, 8 for 8 bit mask (which enables partial icon transparency). The default is /c24, 8.
    MKB deployment setting: uiq3-icon3-format


Deploying To Devices: Symbian 7 s60 Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Symbian 7 s60 Configuration Settings >

Symbian 7 s60 Configuration Settings

Symbian 7/8 Configuration Settings

The following settings are available when deploying to Symbian 7 or Symbian 8 devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • Long Displayed name: Sets the longer version of the displayed application name. Used when Symbian displays the application's icon in list view.
    MKB deployment setting: long-caption
  • Enable Networking: Enable networking capabilities on platforms that support capabilities. Default is 1 (enabled).
    MKB deployment setting: networking
  • Icon 1 File: Sets the 44x44x24 bitmap icon to use. This file path should be an MKB-relative path to a 44x44x24bpp bitmap file (.bmp). This will be used as the application's larger icon in the Symbian UI. When specifying this, symbian-icon1-mask, symbian-icon2, symbian-icon2-mask should also be specified.
    MKB deployment setting: symbian-icon1
  • Icon 1 Mask File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). This file path should be an MKB-relative path to a 44x44x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon1-mask
  • Icon 1 Mask Black File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). Symbian 7/8 only. This file path should be an MKB-relative path to a 44x44x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon1-mask-black
  • Icon 2 File: Sets the application's smaller, 42x29x24 bitmap icon. This file path should be an MKB-relative path to a 44x29x24bpp bitmap file (.bmp).
    MKB deployment setting: symbian-icon2
  • Icon 2 Mask File: Sets the 44x29x24 bitmap that acts as a mask for the bitmap specified for Icon 2 (symbian-icon2). This file path should be an MKB-relative path to a 44x29x24bpp bitmap file. This acts as a mask for the bitmap specified by symbian-icon2. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon2-mask
  • Icon 2 Mask Black File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). Symbian 7/8 only. This file path should be an MKB-relative path to a 44x29x24bpp bitmap file. This acts as a mask for the bitmap specified by symbian-icon2. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon2-mask-black


Deploying To Devices: Symbian 8 s60 Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Symbian 8 s60 Configuration Settings >

Symbian 8 s60 Configuration Settings

Symbian 7/8 Configuration Settings

The following settings are available when deploying to Symbian 7 or Symbian 8 devices:

  • Unique ID for the Application: Specify the 32-bit Unique Identifier (UID) for the application. This option is for BREW and all Symbian platforms only. To ship products on these platforms, a UID must be obtained from the OS provider.
    MKB deployment setting: uid
  • Displayed Name: Sets the displayed name of the application in the device's menu system.
    MKB deployment setting: caption
  • Long Displayed name: Sets the longer version of the displayed application name. Used when Symbian displays the application's icon in list view.
    MKB deployment setting: long-caption
  • Enable Networking: Enable networking capabilities on platforms that support capabilities. Default is 1 (enabled).
    MKB deployment setting: networking
  • Icon 1 File: Sets the 44x44x24 bitmap icon to use. This file path should be an MKB-relative path to a 44x44x24bpp bitmap file (.bmp). This will be used as the application's larger icon in the Symbian UI. When specifying this, symbian-icon1-mask, symbian-icon2, symbian-icon2-mask should also be specified.
    MKB deployment setting: symbian-icon1
  • Icon 1 Mask File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). This file path should be an MKB-relative path to a 44x44x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon1-mask
  • Icon 1 Mask Black File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). Symbian 7/8 only. This file path should be an MKB-relative path to a 44x44x24bpp bitmap file. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon1-mask-black
  • Icon 2 File: Sets the application's smaller, 42x29x24 bitmap icon. This file path should be an MKB-relative path to a 44x29x24bpp bitmap file (.bmp).
    MKB deployment setting: symbian-icon2
  • Icon 2 Mask File: Sets the 44x29x24 bitmap that acts as a mask for the bitmap specified for Icon 2 (symbian-icon2). This file path should be an MKB-relative path to a 44x29x24bpp bitmap file. This acts as a mask for the bitmap specified by symbian-icon2. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon2-mask
  • Icon 2 Mask Black File: Sets the 44x44x24 bitmap that acts as a mask for the bitmap specified for Icon 1 (symbian-icon1). Symbian 7/8 only. This file path should be an MKB-relative path to a 44x29x24bpp bitmap file. This acts as a mask for the bitmap specified by symbian-icon2. Black pixels will cause the corresponding icon pixel to be displayed. White pixels will cause the icon pixel to be transparent.
    MKB deployment setting: symbian-icon2-mask-black


Deploying To Devices: Windows Mobile Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Windows Mobile Configuration Settings >

Windows Mobile Configuration Settings

Windows Mobile Configuration Settings

The following settings are available when deploying to Windows Mobile devices:

  • Application Icon (16x16): Sets 16x16 (256 colours) icon for Windows Mobile deployment. This file path should be an MKB-relative path to a 16x16 256 colour bitmap file. This will be used as the smallest version of the application's icon.
    MKB deployment setting: winmobile-icon16
  • Application Icon (32x32): Sets 32x32 (256 colours) icon for Windows Mobile deployment. This file path should be an MKB-relative path to a 32x32 256 colour bitmap file. This will be used as the medium-size version of the application's icon.
    MKB deployment setting: winmobile-icon32
  • Application Icon (48x48): Sets 48x48 (256 colours) icon for Windows Mobile deployment. This file path should be an MKB-relative path to a 48x48 256 colour bitmap file. This will be used as the large-size version of the application's icon.
    MKB deployment setting: winmobile-icon48
  • Application Icon (64x64): Sets 64x64 (256 colours) icon for Windows Mobile deployment. This file path should be an MKB-relative path to a 64x64 256 colour bitmap file. This will be used as the extra-large-size version of the application's icon.
    MKB deployment setting: winmobile-icon64
  • Start Menu Folder: Sets where the application should appear under the start menu when installed from CAB.
    MKB deployment setting: winmobile-start-menu-folder
  • Install Folder: Sets an optional subfolder in which to install the game. (e.g. Program Files//Game)
    MKB deployment setting: winmobile-install-folder
  • Setup DLL: Sets an optional DLL to run on install/uninstall.
    MKB deployment setting: winmobile-setup-dll
  • Trace File (full path): Sets the position to output the trace file to. This must be a full path.
    MKB deployment setting: winmobile-trace-file
  • Part Number (for ampd DRM build): Sets the part number for ampd DRM build.
    MKB deployment setting: winmobile-ampd-part-number
  • Don't Inlcude in Remove Programs: Application will not appear in Remove Programs.
    MKB deployment setting: winmobile-nouninstall
  • Compress CAB (will only install on WM6 and newer): Output CAB file will use compression. Only supported by Windows Mobil 6 or newer - CAB will fail to install on Windows Mobile 5.
    MKB deployment setting: winmobile-cab-compress


Deploying To Devices: Windows Configuration Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Configuration Settings > Windows Configuration Settings >

Windows Configuration Settings

Windows Configuration Settings

The following settings are available when deploying to Windows (Windows Simulator):

  • Application Icon: Sets the icon for the Windows application. This file should be a 32x32 (256 colours) bitmap file.
    MKB deployment setting: win-icon
  • Window Position X: Sets the starting X screen position of the window for the deployed app.
    MKB deployment setting: win32-pref-windowposx
  • Window Position Y: Sets the starting Y screen position of the window for the deployed app.
    MKB deployment setting: win32-pref-windowposy
  • Window Title: Sets the window title for the deployed app.
    MKB deployment setting: win32-pref-windowtitle


Deploying To Devices: Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings >

Deploying Settings

For each platform, physical deployment options may be required such as connection settings and destination to deploy to. These are set under the Deploying Stage in the Deployment Tool interface. Options are set per platform, per configuration. For an overview of using the interface, see Deploying Stage.

  • iPhone Deploying Settings
  • Android Deploying Settings
  • BREW Deploying Settings
  • N-Gage Deploying Settings
  • Symbian 9 s60 Deploying Settings
  • Symbian 9 UIQ3 Deploying Settings
  • Symbian 7 s60 Deploying Settings
  • Symbian 8 s60 Deploying Settings
  • Windows Deploying Settings
  • Windows Mobile Deploying Settings


Deploying To Devices: iPhone Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > iPhone Deploying Settings >

iPhone Deploying Settings

iPhone Deployment Settings

iPhone deployment does not require any additional settings. An .ipa file and .app bundle will be output.

Click the Explore button to access the output files once deployment has successfully completed. These can then be deployed to an iPhone device with the relevant provisioning certificates or submitted to the App Store for certification.


Deploying To Devices: Android Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Android Deploying Settings >

Android Deploying Settings

Android Deployment Settings image

Android deployment does not require any additional settings. An .apk file will be output.

Click the Explore button to access the output files once deployment has successfully completed.


Deploying To Devices: BREW Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > BREW Deploying Settings >

BREW Deploying Settings

BREW Deployment Settings

The following settings are available when deploying to BREW devices:

  • Signature File: Sets the signature file for BREW deployment.
  • Signature File Directory: Sets the signature file directory for BREW deployment.
  • COM Port: Sets the COM port for the BREW Device.


Deploying To Devices: N-Gage Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > N-Gage Deploying Settings >

N-Gage Deploying Settings

N-Gage Deployment Settings

The following additional settings are available when deploying to N-Gage devices:

  • Root Directory of mini SD Drive: ARM builds only. Destination root directory on the device to deploy to. This should be set to the main memory or memory card drive letters if connected via USB in mass storage mode. Leave blank and set the connection to PC Suite on the device in order to install over Nokia PC Suite.
  • Symbian s60 Emulator (epoc.exe) directory: x86 builds only. Full path to emulator root directory within your N-Gage SDK installation folder. The tool will attempt to find this path automatically.


Deploying To Devices: Symbian 9 s60 Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Symbian 9 s60 Deploying Settings >

Symbian 9 s60 Deploying Settings

Symbian 9 s60 Deployment Settings

The following additional settings are available when deploying to Symbian 9 s60 devices:

  • Root Directory of mini SD Drive: ARM builds only. Destination root directory on the device to deploy to. This should be set to the main memory or memory card drive letters if connected via USB in mass storage mode. Leave blank and set the connection to PC Suite on the device in order to install over Nokia PC Suite.
  • Symbian s60 Emulator (epoc.exe) directory: x86 builds only. Full path to emulator root directory within your Symbian installation folder. The tool will attempt to find this path automatically.


Deploying To Devices: Symbian 9 UIQ3 Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Symbian 9 UIQ3 Deploying Settings >

Symbian 9 UIQ3 Deploying Settings

The following settings are available when deploying to Symbian 9 UIQ3 devices:

Symbian 9 UIQ3 Deployment Settings

The following additional settings are available when deploying to Symbian 9 UIQ3 devices:

  • Root Directory of mini SD Drive: ARM builds only. Destination root directory on the device to deploy to. This should be set to the main memory or memory card drive letters if connected via USB in mass storage mode. Leave blank and set the connection to PC Suite on the device in order to install over Nokia PC Suite.
  • Symbian s60 Emulator (epoc.exe) directory: x86 builds only. Full path to emulator root directory within your Symbian installation folder. The tool will attempt to find this path automatically.


Deploying To Devices: Symbian 7 s60 Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Symbian 7 s60 Deploying Settings >

Symbian 7 s60 Deploying Settings

Symbian 7/8 Deployment Settings

The following additional settings are available when deploying to Symbian 7 s60 devices:

  • Root Directory of mini SD Drive: ARM builds only. Destination root directory on the device to deploy to. This should be set to the main memory or memory card drive letters if connected via USB in mass storage mode. Leave blank and set the connection to PC Suite on the device in order to install over Nokia PC Suite.
  • Symbian s60 Emulator (epoc.exe) directory: x86 builds only. Full path to emulator root directory within your Symbian installation folder. The tool will attempt to find this path automatically.


Deploying To Devices: Symbian 8 s60 Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Symbian 8 s60 Deploying Settings >

Symbian 8 s60 Deploying Settings

Symbian 7/8 Deployment Settings

The following additional settings are available when deploying to Symbian 8 s60 devices:

  • Root Directory of mini SD Drive: ARM builds only. Destination root directory on the device to deploy to. This should be set to the main memory or memory card drive letters if connected via USB in mass storage mode. Leave blank and set the connection to PC Suite on the device in order to install over Nokia PC Suite.
  • Symbian s60 Emulator (epoc.exe) directory: x86 builds only. Full path to emulator root directory within your Symbian installation folder. The tool will attempt to find this path automatically.


Deploying To Devices: Windows Mobile Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Windows Mobile Deploying Settings >

Windows Mobile Deploying Settings

Windows Mobile Deployment Settings

The following settings are available when deploying to Windows Mobile devices:

  • Target Directory: Sets the device Target Directory for Windows Mobile deployment. The installer .cab file will be copied to this location. This may be left blank in which case simply click the Explore button after deployment has successfully completed to access the CAB file. Run this file on the device to install the application.


Deploying To Devices: Windows Deploying Settings

Deploying To Devices > Airplay System Deployment Tool > Deployment Tool Settings > Deploying Settings > Windows Deploying Settings >

Windows Deploying Settings

Windows Deployment Settings

The following additional settings are available when deploying to Windows (Windows Simulator):

  • Target Directory: Sets the device Target Directory for Windows deployment.
  • Installer Name: Name that the installer displays.
  • Installer Description: Text the installer displays on its first page.
  • Installer Bitmap: Bitmap the installer displays on its first page.
  • Installer Icon: Icon for the Installer.


Deploying To Devices: iPhone Re-Signing Tool

Deploying To Devices > iPhone Re-Signing Tool >

iPhone Re-Signing Tool

This tool is for signing and re-signing existing iphone applications. It can be used to sign for development or distribution and works with files in .app or .ipa format. Its output is a new .app or .ipa file.

The PC version of the tool connects to a signing server already set up on a Mac. See Setting up a Mac Signing Server.

If you do not have a signing server set-up run the Mac version of the tool.

This tool is useful for signing an application for distribution that was previously signed for development.

The PC version of the tool is available through the Start Menu, or at [sdk install directory]/tools/AirplayIPhoneSigner/AirplayIPhoneSigner.exe

The Mac version of the tool is located at [sdk install directory]/tools/AirplayIPhoneSigner/AirplayIPhoneSigner.app, and must be manually copied to a Mac.

iPhone Resigning Tool (PC) iPhone Resigning Tool (Mac)

The resigning tool provides the following options

  • Application File - This is an application that will be re-signed. The type of this file is: .ipa, .app, or .zip.
  • Provision File - This is a provision file that links identities to certain devices (or to the app store). If you specify one it must refer to a local file on your disk. This file is required for signing for App Store distribution, in which case it should be the provisioning file associated with your distribution certificate. This can be downloaded from your iPhone Developer Connection site.
  • Identity - An identity refers to the name of a certificate that must exist on the Mac in the keychain accociated with the signing server. These identities are generated using the iphone developer site. Every iphone developer has at least one of these. This is usually looks like one of these:
    • iPhone Developer
    • iPhone Distribution
    • iPhone Developer: < username >
  • Signing Hostname - This is only in the PC version. This is the host name of a remote mac that will run the re-signing process.
  • Run - Start the re-signing process.
  • Quit - Close the tool down.


Deploying To Devices: Troubleshooting

Deploying To Devices > Troubleshooting >

Troubleshooting

When moving from Windows development to testing the application on a device, there are sometimes discrepancies between the two environments that can cause errors.

See the Airplay F.A.Q. for troubleshooting advice.